Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???  (Read 690 times)

0 Members and 1 Guest are viewing this topic.

sharpo

  • Coppermine frequent poster
  • ***
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 210

I have set up a 1.6 test gallery to see if there are any problems with coppermine plugins that I use, as couple of days ago I tried upgrading a test 1.5 gallery, but it failed.

All went well with the 1.6 test until I tried installing MINIcms - which failed, with an error when processing a database query.

Phill suggested I start a new topic so that others could mention any problems they had when trying 1.6.

Sharpo.
Logged
Sharpo (not an expert, just a Coppermine user) my main gallery was started in January 2006.

sharpo

  • Coppermine frequent poster
  • ***
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 210
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #1 on: August 19, 2018, 12:25:57 pm »

Just noticed that Lightbox doesn't show title or description as it does with 1.5. If you are used to how it appears, try it in my 1.6 test site.

http://sharpo.co.uk/cpg16test/index.php

I have used exactly the same settings for v3.2 in the 1.6 test and my 1.5 galleries.

Sharpo
Logged
Sharpo (not an expert, just a Coppermine user) my main gallery was started in January 2006.

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 945
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #2 on: August 19, 2018, 04:17:42 pm »

Just noticed that Lightbox doesn't show title or description as it does with 1.5. If you are used to how it appears, try it in my 1.6 test site.

Have not totally determined why it is different between 1.5 and 1.6, but the following corrects it.

In the file plugins/lightbox_notes_for_net/style.css at about line #148, change:
Code: [Select]
#lightbox-container-image-data-box {
font: 10px Verdana, Helvetica, sans-serif;
background-color: #fff;
margin: 0 auto;
line-height: 1.4em;
overflow: auto;
width: 100%;
/*padding: 0 10px 0;
float: center;*/
display: inline;
text-align: center;
}
to:
Code: [Select]
#lightbox-container-image-data-box {
font: 10px Verdana, Helvetica, sans-serif;
background-color: #fff;
margin: 0 auto;
line-height: 1.4em;
overflow: auto;
width: 100%;
/*padding: 0 10px 0;
float: center;
display: inline;*/
text-align: center;
}
... comments out display: inline
« Last Edit: August 19, 2018, 05:14:53 pm by ron4mac »
Logged

sharpo

  • Coppermine frequent poster
  • ***
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 210
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #3 on: August 19, 2018, 05:40:11 pm »

Thanks for the fix as per the previous post - seems to work as in 1.5 now.

Well done that man!!

Sharpo.
Logged
Sharpo (not an expert, just a Coppermine user) my main gallery was started in January 2006.

gmc

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 741
    • GMC Design Photo Gallery
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #4 on: August 20, 2018, 07:39:34 pm »

As mentioned in other post, I have an updated version of miniCMS... Finishing up some testing.
I'll post here and in the plugins sub board when ready.
Logged
Thanks!
Greg
My Coppermine Gallery
Need a web hosting account? See my gallery for an offer for CPG Forum users.
Send me money

sharpo

  • Coppermine frequent poster
  • ***
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 210
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #5 on: August 20, 2018, 09:31:17 pm »

As mentioned in a topic on mobile themes, miniCMS doesn't work with mobile_light, but it does with curve_responsive. Is that an easy fix or not related to the content of miniCMS?
Logged
Sharpo (not an expert, just a Coppermine user) my main gallery was started in January 2006.

gmc

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Gender: Male
  • Posts: 741
    • GMC Design Photo Gallery
Re: Reasons for delaying upgrade to 1.6 (incompatible plugins etc) ???
« Reply #6 on: August 21, 2018, 06:17:28 pm »

As mentioned in a topic on mobile themes, miniCMS doesn't work with mobile_light, but it does with curve_responsive. Is that an easy fix or not related to the content of miniCMS?
Working with one theme and not another I would typically expect to be a theme issue - and not the plugin...
Won't say its not a possibility - but would appear to be setting things up properly if curve_responsive works with it.
Curve and curve_responsive are the themes I would use for testing typically.
Logged
Thanks!
Greg
My Coppermine Gallery
Need a web hosting account? See my gallery for an offer for CPG Forum users.
Send me money
Pages: [1]   Go Up
 

Page created in 0.125 seconds with 21 queries.